diff -ur dovecot-2.0.rc4.orig/src/lib/mountpoint.c dovecot-2.0.rc4/src/lib/mountpoint.c
--- dovecot-2.0.rc4.orig/src/lib/mountpoint.c	2010-08-08 01:01:56.000000000 -0400
+++ dovecot-2.0.rc4/src/lib/mountpoint.c	2010-08-08 01:16:09.000000000 -0400
@@ -47,6 +47,12 @@
 #  define MNTTYPE_NFS "nfs"
 #endif
 
+/* Linux sometimes has mtab entries for "rootfs" as well as the real root
+ * entries, this causes failures reading the quotas on root
+ */
+#ifndef MNTTYPE_ROOTFS
+#  define MNTTYPE_ROOTFS "rootfs"
+#endif
 
 int mountpoint_get(const char *path, pool_t pool, struct mountpoint *point_r)
 {
@@ -191,7 +197,8 @@
 	}
 	while ((ent = getmntent(f)) != NULL) {
 		if (strcmp(ent->mnt_type, MNTTYPE_SWAP) == 0 ||
-		    strcmp(ent->mnt_type, MNTTYPE_IGNORE) == 0)
+		    strcmp(ent->mnt_type, MNTTYPE_IGNORE) == 0 ||
+		    strcmp(ent->mnt_type, MNTTYPE_ROOTFS) == 0)
 			continue;
 
 		if (stat(ent->mnt_dir, &st2) == 0 &&
